SDL_ime.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_stdinc.h"`
`#include "SDL_rect.h"`
Include dependency graph for SDL_ime.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

SDL_bool | SDL_IME_Init (void)
void | SDL_IME_Quit (void)
void | SDL_IME_SetFocus (SDL_bool focused)
void | SDL_IME_Reset (void)
SDL_bool | SDL_IME_ProcessKeyEvent (Uint32 keysym, Uint32 keycode)
void | SDL_IME_UpdateTextRect (SDL_Rect *rect)
void | SDL_IME_PumpEvents (void)

## Function Documentation

## SDL_IME_Init()

SDL_bool SDL_IME_Init | ( | void |  | ) |

Definition at line 86 of file SDL_ime.c.

References InitIME(), NULL, SDL_FALSE, SDL_IME_Init_Real, SDL_IME_ProcessKeyEvent_Real, SDL_IME_PumpEvents_Real, SDL_IME_Quit_Real, SDL_IME_Reset_Real, SDL_IME_SetFocus_Real, SDL_IME_UpdateTextRect_Real, and SDL_TRUE.

{
InitIME();
if (SDL_IME_Init_Real) {
if (SDL_IME_Init_Real()) {
return SDL_TRUE;
}
/* uhoh, the IME implementation's init failed! Disable IME support. */
SDL_IME_Init_Real = NULL;
SDL_IME_Quit_Real = NULL;
SDL_IME_SetFocus_Real = NULL;
SDL_IME_Reset_Real = NULL;
SDL_IME_ProcessKeyEvent_Real = NULL;
SDL_IME_UpdateTextRect_Real = NULL;
SDL_IME_PumpEvents_Real = NULL;
}
return SDL_FALSE;
}
SDL_TRUE
Definition: SDL_stdinc.h:142
SDL_FALSE
Definition: SDL_stdinc.h:141
SDL_IME_Reset_Real
static _SDL_IME_Reset SDL_IME_Reset_Real
Definition: SDL_ime.c:37
SDL_IME_UpdateTextRect_Real
static _SDL_IME_UpdateTextRect SDL_IME_UpdateTextRect_Real
Definition: SDL_ime.c:39
SDL_IME_Quit_Real
static _SDL_IME_Quit SDL_IME_Quit_Real
Definition: SDL_ime.c:35
SDL_IME_ProcessKeyEvent_Real
static _SDL_IME_ProcessKeyEvent SDL_IME_ProcessKeyEvent_Real
Definition: SDL_ime.c:38
SDL_IME_Init_Real
static _SDL_IME_Init SDL_IME_Init_Real
Definition: SDL_ime.c:34
NULL
#define NULL
Definition: begin_code.h:164
SDL_IME_SetFocus_Real
static _SDL_IME_SetFocus SDL_IME_SetFocus_Real
Definition: SDL_ime.c:36
SDL_IME_PumpEvents_Real
static _SDL_IME_PumpEvents SDL_IME_PumpEvents_Real
Definition: SDL_ime.c:40
InitIME
static void InitIME()
Definition: SDL_ime.c:43

## SDL_IME_ProcessKeyEvent()

SDL_bool SDL_IME_ProcessKeyEvent | ( | Uint32 | keysym,
|  | Uint32 | keycode
| ) |  |

Definition at line 130 of file SDL_ime.c.

References SDL_FALSE, and SDL_IME_ProcessKeyEvent_Real.

{
if (SDL_IME_ProcessKeyEvent_Real)
return SDL_IME_ProcessKeyEvent_Real(keysym, keycode);
return SDL_FALSE;
}
SDL_FALSE
Definition: SDL_stdinc.h:141
SDL_IME_ProcessKeyEvent_Real
static _SDL_IME_ProcessKeyEvent SDL_IME_ProcessKeyEvent_Real
Definition: SDL_ime.c:38

## SDL_IME_PumpEvents()

void SDL_IME_PumpEvents | ( | void |  | ) |

Definition at line 146 of file SDL_ime.c.

References SDL_IME_PumpEvents_Real.

{
if (SDL_IME_PumpEvents_Real)
SDL_IME_PumpEvents_Real();
}
SDL_IME_PumpEvents_Real
static _SDL_IME_PumpEvents SDL_IME_PumpEvents_Real
Definition: SDL_ime.c:40

## SDL_IME_Quit()

void SDL_IME_Quit | ( | void |  | ) |

Definition at line 109 of file SDL_ime.c.

References SDL_IME_Quit_Real.

{
if (SDL_IME_Quit_Real)
SDL_IME_Quit_Real();
}
SDL_IME_Quit_Real
static _SDL_IME_Quit SDL_IME_Quit_Real
Definition: SDL_ime.c:35

## SDL_IME_Reset()

void SDL_IME_Reset | ( | void |  | ) |

Definition at line 123 of file SDL_ime.c.

References SDL_IME_Reset_Real.

{
if (SDL_IME_Reset_Real)
SDL_IME_Reset_Real();
}
SDL_IME_Reset_Real
static _SDL_IME_Reset SDL_IME_Reset_Real
Definition: SDL_ime.c:37

## SDL_IME_SetFocus()

void SDL_IME_SetFocus | ( | SDL_bool | focused | ) |

Definition at line 116 of file SDL_ime.c.

References SDL_IME_SetFocus_Real.

{
if (SDL_IME_SetFocus_Real)
SDL_IME_SetFocus_Real(focused);
}
SDL_IME_SetFocus_Real
static _SDL_IME_SetFocus SDL_IME_SetFocus_Real
Definition: SDL_ime.c:36

## SDL_IME_UpdateTextRect()

void SDL_IME_UpdateTextRect | ( | SDL_Rect * | rect | ) |

Definition at line 139 of file SDL_ime.c.

References SDL_IME_UpdateTextRect_Real.

{
if (SDL_IME_UpdateTextRect_Real)
SDL_IME_UpdateTextRect_Real(rect);
}
SDL_IME_UpdateTextRect_Real
static _SDL_IME_UpdateTextRect SDL_IME_UpdateTextRect_Real
Definition: SDL_ime.c:39